<?php
include "../ver_sessao.php";
include "../conecta.php";
//ini_set('upload_max_filesize',' 100M '); 
//ini_set('post_max_size', ' 100M ');
set_time_limit(0);







function cadastra_cheque(){

	// print_r($_POST);
	// exit;

	if ( $_POST[situacao]=='Emitido' ) {
		$campos = array(cheq_tx_status);
		$valores= array('ativo');

	} elseif ( $_POST[situacao]=='Compensado' ) {
		$campos = array(cheq_tx_dataCompensa,cheq_tx_status);
		$valores= array(gera_data($_POST[data_situacao],1),'Compensado');

	} elseif ( $_POST[situacao]=='Devolvido 1' ) {
		$campos = array(cheq_tx_dataDevilvido1,cheq_tx_status);
		$valores= array(gera_data($_POST[data_situacao],1),'Devolvido 1');

	} elseif ( $_POST[situacao]=='Devolvido 2' ) {
		$campos = array(cheq_tx_dataDevilvido2,cheq_tx_status);
		$valores= array(gera_data($_POST[data_situacao],1),'Devolvido 2');

	} elseif ( $_POST[situacao]=='Resgatado' ) {
		$campos = array(cheq_tx_dataCompensa,cheq_tx_status);
		$valores= array(gera_data($_POST[data_situacao],1),'Resgatado');

	} else {
		set_status('ERRO: Situação Inválida!');
		layout_cheque();
		exit;
	}


	// CARREGA A INFORMAÇÃO DO CHEQUE PARA PODER ATUALIZAR
	$a_chfo = carregar('chfo','','chfo_nb_fobo',"$_POST[id]");
	$a_fobo = carregar('fobo',$a_chfo[chfo_nb_fobo]);

	atualizar('cheque',$campos,$valores,$a_chfo[chfo_nb_cheque]);


	if ( $_POST[situacao]=='Compensado' ) {// SE FOR COMPENSADO, TEM QUE COMPENSAR O FOBO

		atualizar('fobo',
			array(fobo_nb_userBaixa,fobo_tx_dataBaixa,fobo_tx_valorBaixa,fobo_tx_status),
			array($_SESSION[user_nb_id],gera_data($_POST[data_situacao],1),$a_fobo[fobo_tx_valor],'ativo'),
			$a_fobo[fobo_nb_id]);

	} else {
		query(" UPDATE fobo SET fobo_nb_userBaixa=0,fobo_tx_valorBaixa=0,fobo_tx_dataBaixa=NULL WHERE fobo_nb_id='$a_fobo[fobo_nb_id]' ");
	}


	index();
	exit;
}





function layout_cheque(){

	cabecalho("Controle de Cheques",2);
	
	cactux::abre_form();
	
	//print_r($_POST);
	
	$a_fobo  =carregar('fobo',$_POST[id]);
	$a_chfo  =carregar('chfo','','chfo_nb_fobo',"$_POST[id]");
	$a_cheque=carregar('cheque',$a_chfo[chfo_nb_cheque]);
	$a_banco =carregar('banco',$a_cheque[cheq_nb_banco]);
	
	$numero  = cactux::texto('Número:',$a_cheque[cheq_tx_numero],2);
	$agencia = cactux::texto('Agência:',$a_cheque[cheq_tx_agencia],2);
	$conta   = cactux::texto('Conta:',$a_cheque[cheq_tx_conta],2);
	$banco   = cactux::texto('Banco:',$a_banco[banc_tx_nome],2);
	$valor   = cactux::texto('Valor:',mostra_valor($a_cheque[cheq_tx_valor]),2);
	
	$data    = cactux::texto('Data:',data($a_cheque[cheq_tx_data],1),2);
	$titular = cactux::texto('Titular:',$a_cheque[cheq_tx_titular],2);
	$cpf     = cactux::texto('CPF/CNPJ:',$a_cheque[cheq_tx_cpf],2);
	$situacao= cactux::texto('Situação:',ucfirst($a_cheque[cheq_tx_status]),2);

	$a_situacoes = array('Emitido','Compensado','Devolvido 1','Devolvido 2','Resgatado');
	$situacao_operacao = cactux::combo('Situação:','situacao',$a_situacoes,ucfirst($a_cheque[cheq_tx_status]),3);
	$data_situacao     = cactux::campo('Data Situação:','data_situacao',date('d/m/Y'),2,MASCARA_DATA);


	$gravar = cactux::botao_submit("Gravar",2,'cadastra_cheque',"id","$_POST[id]");
	$voltar = cactux::botao('Voltar',2,'volta');
	$status = cactux::msg_status();

	cactux::abre_fieldset('Informações do Cheque');
	cactux::linha_fieldset($numero,$agencia,$conta,$banco,$valor);
	cactux::linha_fieldset($data,$titular,$cpf,$situacao);
	cactux::linha_fieldset($situacao_operacao,$data_situacao);
	cactux::linha_fieldset($voltar,$gravar,$status);
	cactux::fecha_fieldset();


	if ( $a_cheque[cheq_tx_data]!='' && $a_cheque[cheq_tx_data]!='0000-00-00' ) {
		$h[]  = cactux::texto('Data Emissão:',data($a_cheque[cheq_tx_data],1),5);
	}	
	if ( $a_cheque[cheq_tx_dataCompensa]!='' && $a_cheque[cheq_tx_dataCompensa]!='0000-00-00' ) {
		if ($a_cheque[cheq_tx_status]=='Resgatado')
			$h[]  = cactux::texto('Data Resgate:',data($a_cheque[cheq_tx_dataCompensa],1),5);
		else
			$h[]  = cactux::texto('Data Compensação:',data($a_cheque[cheq_tx_dataCompensa],1),5);
	}
	if ( $a_cheque[cheq_tx_dataDevilvido1]!='' && $a_cheque[cheq_tx_dataDevilvido1]!='0000-00-00' ) {
		$h[]  = cactux::texto('Data Devolvido 1:',data($a_cheque[cheq_tx_dataDevilvido1],1),5);
	}
	if ( $a_cheque[cheq_tx_dataDevilvido2]!='' && $a_cheque[cheq_tx_dataDevilvido2]!='0000-00-00' ) {
		$h[]  = cactux::texto('Data Devolvido 2:',data($a_cheque[cheq_tx_dataDevilvido2],1),5);
	}

	if ( count($h)>0 ) {
		echo "<br>";
		cactux::abre_fieldset('Histórico do Cheque');
		foreach ($h as $campo) {
			cactux::linha_fieldset($campo);
		}
		cactux::fecha_fieldset();
	}

	/*
	EXIBIR O HISTÓRICO AQUI
	*/
	
	
	cactux::fecha_form();

	cactux::acao_botao('volta','index');
}


	


function index() {
	global $CONFIGURA;


	cabecalho('Controle de Cheques',2);

	if($_POST[limpar] == 'limpar'){
		unset($_POST[busca_codigo],$_POST[busca_nome],$_POST[busca_obs],$_POST[busca_valor],$_POST[busca_inicio],$_POST[busca_fim],
			$_POST[busca_filtro],$_POST[busca_centro],$_POST[busca_planoconta],$_POST[busca_nf],$_POST[busca_ordem],$_POST[busca_situacao],
			$_POST[busca_numero],$_POST[busca_agencia],$_POST[busca_conta],$_POST[busca_titular],$_POST[busca_banco],$_POST[busca_contabancaria]);
	}


	
	if (substr($_POST[busca_valor],-3,1)==".")
		$_POST[busca_valor] = mostra_valor($_POST[busca_valor]);


	if($_POST[busca_valor]){
		$_POST[busca_valor] = valor($_POST[busca_valor]);
	}

	if ( !isset($_POST[busca_situacao]) ) {// BUSCA TODOS POR PADRÃO
		$_POST[busca_situacao]='Todos';
	}

	
	$busca_sit='Todos';
		
	if( $_POST[busca_situacao] == 'Aberto' ){		
		$extra .= " AND (fobo_tx_status='ativo' OR fobo_tx_status='pendente') AND (fobo_tx_dataBaixa IS NULL OR fobo_tx_dataBaixa='') ";
		$busca_sit='Aberto';
	}
	
	if( $_POST[busca_situacao] == 'Baixado' ){		
		$extra .= " AND fobo_tx_status = 'ativo' AND fobo_tx_dataBaixa!='' ";
		$busca_sit='Baixado';
	}
	
	if( $_POST[busca_situacao] == 'Cancelado' ){		
		$extra .= " AND fobo_tx_status = 'cancelado' ";
		$busca_sit='Cancelado';
	}
			
	if( $_POST[busca_situacao] == 'Todos' ){		
		$extra .= " AND bole_tx_status != 'inativo'";
		$busca_sit='Todos';		
	}

	
	
	if( $_POST[busca_inicio] !='' ){
		
		if( $_POST[busca_filtro]=='Vencimento' ){
			
			$inicio = gera_data($_POST[busca_inicio],1)." 00:00:00";
			$order = " ORDER BY fobo_tx_data,enti_tx_fantasia";
			$extra .= " AND fobo_tx_data >= '$inicio'";
			$extra2 .= " AND bole_tx_vencimento >= '$inicio'";
			
		}
		
		if( $_POST[busca_filtro]=='Pagamento' ){
			
			$inicio = gera_data($_POST[busca_inicio],1)." 00:00:00";
			$fobo = ",fobo";
			$order = " ORDER BY fobo_tx_data,enti_tx_fantasia";
			$extra .= " AND fobo_tx_data >= '$inicio'";
			$extra2 .= " AND bole_tx_vencimento >= '$inicio'";
			
		}
		
	}
	
	if( $_POST[busca_fim] !='' ){
		
		if( $_POST[busca_filtro]=='Vencimento' ){
			
			$fim = gera_data($_POST[busca_fim],1)." 23:59:59";
			$order = " ORDER BY fobo_tx_data,enti_tx_fantasia";
			$extra .= " AND fobo_tx_data <= '$fim'";
			$extra2 .= " AND bole_tx_vencimento <= '$fim'";
			
		}
	
		
		if( $_POST[busca_filtro]=='Pagamento' ){
			
			$fim = gera_data($_POST[busca_fim],1)." 23:59:59";
			$fobo= ",fobo";
			$order = " ORDER BY fobo_tx_data,enti_tx_fantasia";
			$extra .= " AND fobo_tx_data <= '$fim'";
			$extra2 .= " AND bole_tx_vencimento <= '$fim'";
			
		}
		
	}
	
	if( $_POST[busca_nf] !=''){
		$extra .= " AND movi_tx_notafiscal LIKE '%$_POST[busca_nf]%'";
	}
	

	
	if( $_POST[busca_codigo] != '' ){
		$extra .= " AND fobo_nb_id = '$_POST[busca_codigo]'";
		$extra2 .= " AND bole_nb_id = '$_POST[busca_codigo]'";
	}
	
	if( $_POST[busca_nome] != '' ){
		$extra .= " AND enti_nb_id = '$_POST[busca_nome]' ";
		$extra2 .= " AND enti_nb_id = '$_POST[busca_nome]' ";
	}

	if( $_POST[busca_obs] != '' ){
		$extra .= " AND bole_tx_obs LIKE '%$_POST[busca_obs]%' ";
		$extra2 .= " AND bole_tx_obs LIKE '%$_POST[busca_obs]%' ";
	}
	
	// if( $_POST[busca_tipo] == 'Despesas'){
	// 	$extra .= " AND movi_tx_tipo = 'Saída'";
	// }
		
	// if( $_POST[busca_tipo] == 'Receitas' ){
	// 	$extra .= " AND movi_tx_tipo = 'Entrada'";
	// }
	$extra .= " AND movi_tx_tipo = 'Saída'";
	$extra2 .= " AND movi_tx_tipo = 'Saída'";

	// if( $_POST[busca_centro] != '' ){
	// 	$extra .= " AND movi_nb_centrocusto = '$_POST[busca_centro]'";
	// 	$extra2 .= " AND movi_nb_centrocusto = '$_POST[busca_centro]'";
	// 	$a_centro = carregar('centrocusto',$_POST[busca_centro]);
	// }
	// if( $_POST[busca_planoconta] != '' ){
	// 	$extra .= " AND movi_nb_planoconta = '$_POST[busca_planoconta]'";
	// 	$extra2 .= " AND movi_nb_planoconta = '$_POST[busca_planoconta]'";
	// 	$a_plano = carregar('planoconta',$_POST[busca_planoconta]);
	// }

	if ($_POST[busca_numero]!='') {
		$extra .= " AND cheq_tx_numero='$_POST[busca_numero]' ";
	}
	if ($_POST[busca_agencia]!='') {
		$extra .= " AND cheq_tx_agencia LIKE '%$_POST[busca_agencia]%' ";
	}
	if ($_POST[busca_conta]!='') {
		$extra .= " AND cheq_tx_conta LIKE '%$_POST[busca_conta]%' ";
	}
	if ( $_POST[busca_titular]!='' ) {
		$extra .= " AND cheq_tx_titular LIKE '%$_POST[busca_titular]%' ";
	}
	if ( $_POST[busca_banco]!='' ) {
		$a_banco = carregar('banco',$_POST[busca_banco]);
		$extra .= " AND cheq_nb_banco = '$_POST[busca_banco]' ";
	}
	if ( $_POST[busca_contabancaria]!='' ) {
		$a_contabancaria = carregar('configuraboleto',$_POST[busca_contabancaria]);
		$extra .= " AND cheq_tx_conta = '$a_contabancaria[conf_tx_conta]' ";
		$extra .= " AND cheq_nb_banco = '$a_contabancaria[conf_nb_banco]' ";
	}
	
	if($_POST[busca_valor] != ''){
		$valormais=($_POST[busca_valor])+0.01;
		$valormenos=($_POST[busca_valor])-0.01;
		
		
		$extra .= " AND fobo_tx_valor >= '$valormenos' AND fobo_tx_valor <= '$valormais'";
		// $extra .= " AND bole_tx_valordoc >= '$valormenos' AND bole_tx_valordoc <= '$valormais'";
		//echo " AND bole_tx_valordoc = '".valor($_POST[busca_valor])."'";
	}

		
	if( $order =='' )
		$order = ' ORDER BY fobo_tx_data,enti_tx_nome,fobo_nb_id DESC';
	
	switch($_POST[busca_ordem]){
		
		case 'Código':
			$order = " ORDER BY fobo_nb_id ";
		break;
		case 'Vencimento':
			$order = " ORDER BY fobo_tx_data,enti_tx_nome,fobo_nb_id ";
		break;
		
		case 'Pagamento':
			if($_POST[busca_filtro]=='Pagamento')
				$order = " ORDER BY fobo_tx_data,enti_tx_nome,fobo_nb_id ";
		break;	
		
		default:
			$order = " ORDER BY enti_tx_nome,fobo_nb_id ASC";
		break;	
		
	}

	$extra .= " AND fobo_nb_forma != '1' ";
	// $extra .= " AND fobo_nb_forma != '1' AND fobo_nb_forma !='5'";

	// LISTA APENAS OS CHEQUES
	$extra .= " AND form_tx_sefaz = '02 - CHEQUE' ";


	$sql = selecionar("boleto,movimento.entidade,fobo,forma,chfo,cheque",
		'movi_tx_status,bole_tx_status,cheq_tx_status,movi_nb_ref,fobo_nb_boleto,chfo_nb_fobo,chfo_nb_cheque',
		"!inativo,!Agrupado,!inativo,.enti_nb_id,.bole_nb_id,.fobo_nb_id,.cheq_nb_id",
		" AND fobo_nb_forma = form_nb_id $extra GROUP BY fobo_nb_id $order ",1);



	// $BUSCA = gerar_paginacao($sql,'','',50);	
	$BUSCA = grid::gerar_paginacao($sql,'','',50);



	//print_r($_POST);
	//CONSULTA
	$c1[] = cactux::campo('Código:','busca_codigo',$_POST[busca_codigo],1);
	$c1[] = cactux::combo_net('!Nome:','busca_nome',$_POST[busca_nome],$_POST[nome_busca_nome],4,array('../'.$CONFIGURA[MODULO].'combonet/busca_div.php?c=entidade','../'.$CONFIGURA[MODULO].'combonet/busca_net.php?c=entidade'));
	$c1[] = cactux::campo('Descrição:','busca_obs',$_POST[busca_obs],3);
	$c1[] = cactux::campo('Nota&nbsp;Fiscal:','busca_nf',$_POST[busca_nf],1);
	$c1[] = cactux::campo('Valor:','busca_valor',mostra_valor($_POST[busca_valor]),1, MASCARA_VALOR);
		

	// $c2[] = cactux::combo_bd('!Centro de Custo:','busca_centro',$_POST[busca_centro],$a_centro[1],4,'centrocusto','',".nome");
	$c2[] = cactux::campo('Agência:','busca_agencia',$_POST[busca_agencia],1);
	$c2[] = cactux::campo('Conta:','busca_conta',$_POST[busca_conta],1);
	// $c2[] = cactux::combo_net('!Plano Conta:','busca_planoconta',$_POST[busca_planoconta],$a_plano[1],4,array('../'.$CONFIGURA[MODULO]."combonet/busca_div.php?c=planoconta",'../'.$CONFIGURA[MODULO]."combonet/busca_net.php?c=planoconta"));
	$c2[] = cactux::campo('Titular:','busca_titular',$_POST[busca_titular],3);
	$c2[] = cactux::combo_net('!Banco:','busca_banco',$a_banco[banc_nb_id],$a_banco[banc_tx_nome],2,array('../'.$CONFIGURA[MODULO].'combonet/busca_div.php?c=banco','../'.$CONFIGURA[MODULO].'combonet/busca_net.php?c=banco'));
	$c2[] = cactux::combo_bd('!Conta Bancária:','busca_contabancaria',$a_contabancaria[0],$a_contabancaria[1],3,'configuraboleto','',".nome");
	
	
	$c3[] = cactux::campo('Número:','busca_numero',$_POST[busca_numero],1);
	$c3[] = cactux::campo('Data Inicial:','busca_inicio',$_POST[busca_inicio],2,MASCARA_DATA);
	$c3[] = cactux::campo('Data Fim:','busca_fim',$_POST[busca_fim],2,MASCARA_DATA);
	$c3[] = cactux::combo('Filtro Data:','busca_filtro',array('Vencimento','Pagamento'),$_POST[busca_filtro],2);	
	$c3[] = cactux::combo('Ordernar:','busca_ordem',array('Entidade','Vencimento','Pagamento','Código'),$_POST[busca_ordem],2);
	$c3[] = cactux::combo('Situação:','busca_situacao',array('Aberto','Baixado','Cancelado','Todos'),$_POST[busca_situacao],1);	
	
	
	//BOTOES
	$buscar = cactux::botao_submit_busca("Buscar",2,'index');
	$limpar = cactux::botao("Limpar",2,'limpar');	
	$status = cactux::msg_status(10);
	
	
	cactux::abre_form();
	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($c1[0],$c1[1],$c1[2],$c1[3],$c1[4]);
	cactux::linha_fieldset($c2[0],$c2[1],$c2[2],$c2[3],$c2[4]);
	cactux::linha_fieldset($c3[0],$c3[1],$c3[2],$c3[3],$c3[4],$c3[5]);
	cactux::fecha_fieldset();
	cactux::linha_fieldset($buscar,$limpar,$status);
	cactux::fecha_form();
	
	cactux::acao_botao('imprime','layout_imprime','','','','',' target=_blank');
	cactux::acao_botao('limpar','index','limpar','limpar');



	$nome_entidade = "SACADO/CEDENTE<div style='text-align:right'>DESCRIÇÃO</div>";
	$nome_centro = "NÚMERO&nbsp;|&nbsp;AGÊNCIA&nbsp;|&nbsp;CONTA<div style='text-align:right'>TITULAR</div>";
	$nome_forma = "BANCO<div style='text-align:right'>SITUAÇÃO</div>";
	$nome_vencimento = "VENCIMENTO<div style='text-align:right'>VALOR</div>";
	$nome_pagamento = "DATA PG<div style='text-align:right'>VALOR PG</div>";
	
//	$cabeca[] = array('','CÓD','EMISSÃO',$nome_entidade,$nome_projeto,$nome_vencimento,$nome_pagamento,'','','');

	
	//INICIO DO GRID
	$cabeca[] = array('CÓD',$nome_entidade,$nome_centro,$nome_forma,$nome_vencimento,$nome_pagamento,'');
	
	
	$cabeca[] = 'c,e,e,e,e,e,e,e,e,e';
	$cabeca[] = '5%,,25%,15%,12%,12%,2%';
	
	while( $a = carrega_array($BUSCA[0]) ){	
		
		//DEFINE COR DAS DIVS
		if($a[movi_tx_tipo]=='Entrada')
			$div = "<div style='color:blue'>";// RECEITA - AZUL
		
		if($a[movi_tx_tipo]=='Saída') {
			$div = "<div style='color:red'>";// DESPESA - VERMELHO
			$a[bole_tx_valordoc] = $a[bole_tx_valordoc] * (-1);
			$a[bole_tx_valor] = $a[bole_tx_valor] * (-1);
		}		
			
		if($a[fobo_nb_userBaixa]>0){
			$valorBaixa = $a[fobo_tx_valor];
			$situacao = 'Baixado';
		}else{
			$valorBaixa = '';
			$situacao = 'Aberto';
		}

		// VERIFICA SE É UM CHEQUE CANCELADO
		if ( $a[fobo_tx_status] == 'cancelado' ) {
			$valorBaixa = '';
			$situacao = 'Cancelado';
		}

		if($a[cheq_nb_banco]>0){
			$a_banco = carregar('banco',$a[cheq_nb_banco]);
			$noma_banco = $a_banco[banc_tx_nome];
		}else{
			$noma_banco = '';
		}

		$modificar = ".icone_modificar($a[fobo_nb_id],'layout_cheque')";


		$nome_entidade = $a[enti_tx_nome]."<div style='text-align:right'><BR>".$a[bole_tx_obs]."</div>";
		$nome_centro = $a[cheq_tx_numero]." | ".$a[cheq_tx_agencia]." | ".$a[cheq_tx_conta]."<div style='text-align:right'><BR>".$a[cheq_tx_titular]."</div>";
		$nome_forma = $noma_banco."<div style='text-align:right'><BR>".$situacao."</div>";
		$nome_vencimento = data($a[fobo_tx_data],1)."<div style='text-align:right'><BR>".mostra_valor($a[fobo_tx_valor])."</div>";
		$nome_pagamento = data($a[fobo_tx_dataBaixa],1)."<div style='text-align:right'><BR>".mostra_valor($a[fobo_tx_valorBaixa])."</div>";
		
	
		$valores[] = array($div.$a[fobo_nb_id],$div.$nome_entidade,$div.$nome_centro,$div.$nome_forma,
		$div.$nome_vencimento,$div.$nome_pagamento,$modificar);
	
		$totaldoc += $a[fobo_tx_valor];
		$total += $a[fobo_tx_valorBaixa];
		// TOTALIZA OS VALORES

		
	}

	$valores[] = array('','','',"<div style='text-align:right'><B>TOTAL:","<div style='text-align:right'><B>".mostra_valor($totaldoc,1),"<div style='text-align:right'><B>".mostra_valor($total,1),'');
	
	
	grid::gerar($cabeca,$valores);
	grid::Paginar($BUSCA);

	cactux::acao_botao('form_receber_fobo','receber_fobo','id','0');
	cactux::acao_botao('form_transformar_carteira','transforma_carteira','id','0');
	cactux::acao_botao('form_transformar_boleto_carteira','transforma_boleto_carteira','id','0');

	
	
	rodape();

}


CONTROLE();
?>
